Get Profile

This endpoint retrieves the details of a video profile that has previously been created.

Path Parameters
  • profile_id
    Type: string
    required

    Profile id of the profile which needs to be retrieved.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/video/profiles/{profile_id}
curl 'https://api.gumlet.com/v1/video/profiles/{profile_id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "profile_id": "61921fb10822a81d955d1730",
  "name": "Gumlet-Profile-2",
  "transformations": {
    "format": "hls",
    "audio_codec": [
      "aac"
    ],
    "video_codec": [
      "libx264"
    ],
    "thumbnail": [
      "auto"
    ],
    "thumbnail_format": "png",
    "mp4_access": false,
    "per_title_encoding": true,
    "resolution": "240p,360p"
  },
  "created_at": 1636966321742,
  "updated_at": 1636975593082
}